Description

When provisioning a new system the puppetca on my proxy would fail when a certificate did not exist.

D, [2011-11-02T20:30:34.128187 #23302] DEBUG -- : Executing /usr/bin/sudo -S /usr/sbin/puppetca --

clean host.domain.tld

W, [2011-11-02T20:30:34.721068 #23302]  WARN -- : Failed to run puppetca: Retrieved certificate do

es not match private key; please remove certificate from server and regenerate it with the current

 key

E, [2011-11-02T20:30:34.721437 #23302] ERROR -- : Failed to remove certificate(s) for cllalynx.tam

u.edu: Execution of puppetca failed, check log files

 With Puppet 2.6.12 I found that puppetca --clean still reports a failure if the certificate is not found.  The only way to generate the

same text that the smart-proxy code looks for is to run a puppetca --verify.

I have attached a patch to first verify if a certificate exists before attempting to run the clean.  Tested on 0.3 rc2.

History

#1 - 12/21/2011 04:56 AM - Ohad Levy

I'm not 100% sure why this is required.

I mean, why would a clean operation fail ?

#2 - 11/13/2012 12:09 PM - Greg Sutcliffe

- Target version set to Bug scrub

#3 - 11/15/2012 09:41 AM - Dominic Cleal

This looks a bit like the master warning that its own certificate is not matching the private key, since it wouldn't have access to another host's private

key.  The --verify that was run would probably be testing the same (its own key/cert).

I think this is a master config problem, not simply that a certificate doesn't exist.

#4 - 10/16/2013 04:03 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#5 - 10/31/2013 01:52 PM - Dominic Cleal

- Description updated

- Status changed from New to Rejected

Closing, as it appears to be a different problem.

Files

0001-Verify-puppet-certificate-before-attempting-a-clean.patch 1.28 KB 11/03/2011 Trey Dockendorf
